/**
 * 注册界面JS
 */

/**
 * 注册界面初始化
 * @returns
 */
function initRegisterPage(){
  initRegisterPageContent();
}


/**
 * 选项初始化
 * @returns
 */
function initRegisterPageContent(){
  initRegisterDataContent();
}


/**
 * 选择用户类型
 */
function onChoiceUserType(){
  $("#registeredMenuChoice").picker("close");
  initRegisterPageContent();
}


/**
 * 初始化所有字段数据
 */
function initRegisterDataContent(){
  $("#registerPage_user_account").val("");
  $("#registerPage_user_passwd").val("");
  $("#registerPage_true_user_passwd").val("");
}


/**
 * 验证注册信息
 */
function verificationRegisterDataContent(){
  var register_flag="TURE";
  var register_message="";
  var registerPage_user_account=$.trim($("#registerPage_user_account").val());
  var registerPage_user_passwd=$.trim($("#registerPage_user_passwd").val());
  var registerPage_true_user_passwd=$.trim($("#registerPage_true_user_passwd").val());
  
  if(null == registerPage_user_account || registerPage_user_account == "" || typeof(registerPage_user_account) == "undefined"){
    register_flag="FALSE";
    register_message="帐号为空!";
    return register_flag+"@"+register_message;
  }
  
  if(null == registerPage_user_passwd || registerPage_user_passwd == "" || typeof(registerPage_user_passwd) == "undefined"){
    register_flag="FALSE";
    register_message="密码为空!";
    return register_flag+"@"+register_message;
  }
  
  if(null == registerPage_true_user_passwd || registerPage_true_user_passwd == "" || typeof(registerPage_true_user_passwd) == "undefined"){
    register_flag="FALSE";
    register_message="确认密码为空!";
    return register_flag+"@"+register_message;
  }
  
  if(registerPage_user_passwd != registerPage_true_user_passwd){
    register_flag="FALSE";
    register_message="密码不一致!";
    return register_flag+"@"+register_message;
  }
  
  return register_flag+"@"+register_message; 
}


/**
 * 注册
 * @returns
 */
function syncInitAddr(){
	var geolocation = new AMap.Geolocation({
	      enableHighAccuracy: true,//是否使用高精度定位，默认:true
	      convert: true,           //自动偏移坐标，偏移后的坐标为高德坐标，默认：true
	      showButton: true,        //显示定位按钮，默认：true
	      showMarker: true,        //定位成功后在定位到的位置显示点标记，默认：true
	      showCircle: false,        //定位成功后用圆圈表示定位精度范围，默认：true
	      panToLocation: true,     //定位成功后将定位到的位置作为地图中心点，默认：true
	      zoomToAccuracy:false      //定位成功后调整地图视野范围使定位位置及精度范围视野内可见，默认：false
	});
 AMap.event.addListener(geolocation, 'complete', onSyncComplete);
}
function onSyncComplete(data){
	geolocationData=data.position;
}

function registerUser(){
  
  var state=verificationRegisterDataContent();
  
  var stateOrPerson = state.split("@");
  if(stateOrPerson[0] == "FALSE"){
    $.toast(stateOrPerson[1]);
    return;
  }
  
  var registerPage_user_account=$.trim($("#registerPage_user_account").val());
  var registerPage_user_passwd=$.trim($("#registerPage_user_passwd").val());
  var registerPage_user_phone=$.trim($("#registerPage_user_phone").val());

  //X坐标
  var location_x ,location_y,location_info;

  location_x=geolocationData.lng;
  //Y坐标
  location_y=geolocationData.lat;
  //注册地址
  location_info=ownMyAdder;
	 
  //传参
  var param = {
    'user_account': registerPage_user_account,
    'user_passwd': registerPage_user_passwd,
    'location_x': location_x,
    'location_y': location_y,
    'location_info': location_info
  };
  
  //开启进度条
  $.showIndicator();
  $.ajax({
    type: "POST",
    url: basePath + "addUser",
    data: param,
    success: function(data) {
      //关闭进度条
      $.hideIndicator();
      if(data.code == "TRUE"){
        //赋值
        userInfo=data.obj;
        $.router.loadPage("#mainPage");
        $("#registerPage").css('display','none');
        $("#mainPage").css('display','block');
        if (window.localStorage) {
		    localStorage.setItem("user_id", userInfo.user_id);	
		}
        setCookie("user_id", userInfo.user_id,'365');
        //登录成功之后,通过goToPageState进行判断跳向那个界面进行加载数据
       //跳转到主页
        $("#loginPage").css('display','none');
        initOwnContent(); 
      }else if(data.code == "FALSE"){
        $.toast(data.msg);
      }
    }
  });
  
}



